#82 Patch fixing gmake-3.82 build, libtool-2.2 and as-needed

closed-fixed
None
5
2011-05-01
2010-09-06
Pacho Ramos
No

This has been contributed downstream by Samuli Suominen at:
http://bugs.gentoo.org/show_bug.cgi?id=322993

Fixes the following issues:

- worksaround libtool 2.2, since gtk+extra is relying on libtool 1.5 syntax,
it's snatched from some BSD by google.
- the actual (g)make-3.82 fix by changing spaces to tab.
- @GLIB_GENMARSHAL@ was never substituted, so I've hardcoded it like that...
- unworking LDADD change... here's where this all crumbles down:
LDFLAGS="-Wl,--as-needed" (dunno if it occurs without) bails out on linking
phase:
./.libs/libgtkextra-x11-2.0.so: undefined reference to
`gtkextra_VOID__INT_BOXED'

Thanks for taking a look on it

Discussion

  • Fredy Paquet

    Fredy Paquet - 2011-05-01

    These issues were already fixed in the gtkextra-3 distribution

     
  • Fredy Paquet

    Fredy Paquet - 2011-05-01
    • assigned_to: nobody --> fpaquet
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks